> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add User to Group

> Add Account Auth Group User Member

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.en.json POST /v1/public/accounts/{account_id}/auth/groups/{group_id}/members/users
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members/users:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: Add Account Auth Group User Member
      description: Add a user to a group bound to the path account.
      operationId: >-
        add_public_account_auth_group_user_member_v1_public_accounts__account_id__auth_groups__group_id__members_users_post
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupUserMembershipRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotRefreshResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupUserMembershipRequest:
      description: Request schema for adding or removing a user from a group.
      properties:
        user_id:
          minLength: 1
          title: User Id
          type: string
      required:
        - user_id
      title: GroupUserMembershipRequest
      type: object
    SnapshotRefreshResponse:
      properties:
        group_edges:
          title: Group Edges
          type: integer
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Id
        groups_seen:
          title: Groups Seen
          type: integer
        total_edges:
          title: Total Edges
          type: integer
        user_edges:
          title: User Edges
          type: integer
      required:
        - groups_seen
        - user_edges
        - group_edges
        - total_edges
      title: SnapshotRefreshResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````